## mkchromecast 0.3.5

=== Makefile ===
# This file is part of mkchromecast. It is used to build the macOS app.
# It does the following:
#
# 	1) It changes the strings tray and debug to True.
# 	2) Build the application using py2app.
# 	3) Copy Qt plugins.
# 	4) macdeployqt
#
# The clean target does a `git clean -f -d` to delete all untracked
# directories, and does a `git checkout mkchromecast/__init__.py`.
#
# Note: Be careful when using this Makefile, because all files not tracked will
# be deleted, and all changes to mkchromecast/__init__.py will be discarded if
# they are not commited.
#
# How to use it?
# ==============
# 	Test the start_tray.py script:
# 		make clean
# 		make sed
# 		python start_tray.py
# 	Test the application locally
# 		make clean
# 		make test
# 		check inside the dist/ directory
# 	Deploy with debug
# 		make clean
# 		make debug
# 		check inside the dist/ directory
# 	Deploy
# 		make clean
# 		make deploy
# 		check inside the dist/ directory
#
# Note again that make clean will do a checkout of mkchromecast/__init__.py.
#
# Muammar El Khatib
#

# This target is used to test the start_tray.py script that is used to deploy
# the macOS app
sed:
	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
	sed -i -e  's/debug = args.debug/debug = True /g' mkchromecast/__init__.py

# This target creates the app just to be used locally
test:
	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
	sed -i -e  's/debug = args.debug/debug = True/g' mkchromecast/__init__.py
	python3 setup.py py2app -A

# This target creates a standalone app with debugging enabled
debug:
	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
	sed -i -e  's/debug = args.debug/debug = True/g' mkchromecast/__init__.py
	python3 setup.py py2app
	cp -R /usr/local/Cellar/qt5/5.6.0/plugins dist/mkchromecast.app/Contents/PlugIns
	/usr/local/Cellar/qt5/5.6.0/bin/macdeployqt dist/mkchromecast.app

# This target creates a standalone app with debugging disabled
deploy:
	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
	sed -i -e  's/debug = args.debug/debug = False/g' mkchromecast/__init__.py
	python3 setup.py py2app
	cp -R /usr/local/Cellar/qt5/5.6.0/plugins dist/mkchromecast.app/Contents/PlugIns
	/usr/local/Cellar/qt5/5.6.0/bin/macdeployqt dist/mkchromecast.app -dmg

# This cleans
clean:
	git clean -f -d
	git checkout mkchromecast/__init__.py
	rm -f mkchromecast/*.pyc

=== requirements.txt ===
Flask==0.11.1
mutagen==1.34.1
netifaces==0.10.4
psutil==4.3.0
PyChromecast==0.7.3
requests==2.11.0
setuptools==25.2.0
PyQt5==5.7
gi==1.2

## mkchromecast 0.3.4

=== debian/changelog ===
mkchromecast (0.3.4-2) unstable; urgency=medium

  * debian/control:
    - Improved package description.
  * Fixed an error in desktop file.
  * debian/README.source:
    - Improved description.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 22 Aug 2016 13:21:54 +0200

mkchromecast (0.3.4-1) unstable; urgency=medium

  * Initial official debian release (Closes: #834400).

 -- Muammar El Khatib <muammar@debian.org>  Fri, 19 Aug 2016 20:59:36 +0200

mkchromecast (0.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 16 Aug 2016 10:34:47 +0200

mkchromecast (0.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 15 Aug 2016 00:53:54 +0200

mkchromecast (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Fri, 12 Aug 2016 18:30:17 +0200

mkchromecast (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 11 Jul 2016 23:40:01 +0200

mkchromecast (0.2.9.1-1) unstable; urgency=medium

  * This revision fixes a segfault in the system tray.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 29 Jun 2016 21:44:00 +0200

mkchromecast (0.2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 29 Jun 2016 11:37:01 +0200

mkchromecast (0.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 21 Jun 2016 23:47:28 +0200

mkchromecast (0.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Thu, 16 Jun 2016 13:48:11 +0200

mkchromecast (0.2.6-2) unstable; urgency=medium

  * Problem with icons fixed.

 -- Muammar El Khatib <muammar@debian.org>  Fri, 10 Jun 2016 14:02:25 +0200

mkchromecast (0.2.6-1) unstable; urgency=medium

  * Initial release.

 -- Muammar El Khatib <muammar@debian.org>  Fri, 06 May 2016 15:47:56 +0200

=== debian/control ===
Source: mkchromecast
Section: sound
Priority: optional
Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
Standards-Version: 3.9.8
Homepage: http://mkchromecast.com
X-Python-Version: >= 2.6
Vcs-Git: https://github.com/muammar/mkchromecast
Vcs-Browser: https://github.com/muammar/mkchromecast

Package: mkchromecast
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-flask,
         python-pychromecast,
         python-psutil,
         vorbis-tools (>=1.4.0),
         sox (>=14.4.1),
         lame (>=3.99.0),
         flac (>=1.3.0),
         python-pyqt5,
         youtube-dl
Suggests: mkchromecast-doc,
          libav-tools,
          ffmpeg
Description: cast your Linux audio to your Google Cast devices
 It is written in Python, and it streams via node.js, ffmpeg, or avconv.
 mkchromecast is capable of using lossy and lossless audio formats provided
 that ffmpeg is installed. It also supports Multi-room group playback, and
 24-bits/96kHz high audio resolution. Additionally, a system tray menu is also
 available.
 .
 By default, mkchromecast streams with node.js (or parec in Linux) together
 with mp3 audio coding format at a sample rate of 44100Hz and average bitrate
 of 192k. These defaults can be changed using the --sample-rate and -b flags.
 It is useful to modify these parameters when your wireless router is not very
 powerful, or in the case you don't want to degrade the sound quality.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.

GIT='https://github.com/muammar/mkchromecast'
# The full changelog version number, used for the orig.tar.gz
VER=$(shell dpkg-parsechangelog -ldebian/changelog -SVersion | cut -d- -f1)
export DH_VERBOSE = 1

export PYBUILD_NAME=mkchromecast

%:
	dh $@  --with python2

override_dh_auto_build:
	touch build

override_dh_auto_test:
	echo 'Do nothing'

override_dh_install:
	dh_install
	dh_python2
	chmod +x debian/mkchromecast/usr/share/mkchromecast/mkchromecast.py

override_dh_auto_clean:
	echo 'Cleaning *.pyc'
	find . -name \*.pyc -exec rm {} \;

get-orig-source:
	rm -rf mkchromecast-$(VER)
	git clone -b debian $(GIT) mkchromecast-$(VER)
	cd mkchromecast-$(VER)
	git archive --format=tar --prefix=mkchromecast-$(VER)/ HEAD > mkchromecast_$(VER).orig.tar
	gzip --best mkchromecast_$(VER).orig.tar
	mv mkchromecast_$(VER).orig.tar.gz ..
	rm -rf mkchromecast-$(VER)

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mkchromecast-$1\.tar\.gz/ \
  https://github.com/muammar/mkchromecast/tags .*/v?(\d\S*)\.tar\.gz

## mkchromecast 0.3.5

=== debian/changelog ===
mkchromecast (0.3.5-2) unstable; urgency=medium

  * Updated README.Debian file.
  * debian/control:
    - Added pavucontrol, pulseaudio-utils, and pulseaudio to the Depends field.
    - Removed mkchromecast-doc from the Suggests field.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 27 Aug 2016 18:26:35 +0200

mkchromecast (0.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Fri, 26 Aug 2016 12:36:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>=9),
                dh-python,
                python-all (>= 2.6.6-3~),
-               python-setuptools,
+               python-setuptools
 Standards-Version: 3.9.8
 Homepage: http://mkchromecast.com
 X-Python-Version: >= 2.6
@@ -24,11 +24,13 @@
          lame (>=3.99.0),
          flac (>=1.3.0),
          python-pyqt5,
-         youtube-dl
-Suggests: mkchromecast-doc,
-          libav-tools,
+         youtube-dl,
+         pavucontrol,
+         pulseaudio-utils,
+         pulseaudio
+Suggests: libav-tools,
           ffmpeg
-Description: cast your Linux audio to your Google Cast devices
+Description: Cast your Linux audio to your Google Cast devices
  It is written in Python, and it streams via node.js, ffmpeg, or avconv.
  mkchromecast is capable of using lossy and lossless audio formats provided
  that ffmpeg is installed. It also supports Multi-room group playback, and

## mkchromecast 0.3.6

=== requirements.txt ===
Flask==0.11.1
mutagen==1.34.1
netifaces==0.10.5
psutil==4.3.1
PyChromecast==0.7.3
requests==2.11.1
setuptools==27.1.2
PyQt5==5.7
gi==1.2
unittest2==1.1.0
PyYAML==3.12

=== debian/changelog ===
mkchromecast (0.3.6-3) unstable; urgency=medium

  * Now the desktop file places mkchromecast's icon in the correct category.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 28 Sep 2016 16:35:54 +0200

mkchromecast (0.3.6-2) unstable; urgency=medium

  * debian/control:
    - mkchromecast-pulseaudio and mkchromecast-alsa were moved to the Suggests
    field.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 21 Sep 2016 02:03:49 +0200

mkchromecast (0.3.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Added new mkchromecast-alsa, and mkchromecast-pulseaudio dependency
      packages.
    - Removed pavucontrol, pulseaudio-utils, and pulseaudio from
      mkchromecast's Depends field.
    - Improved descriptions.
  * Fails to "Open pavucontrol and select the mkchromecast sink." bug has been
    fixed (Closes: #835608).
  * mkchromecast can cast without Pulseaudio.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 19 Sep 2016 20:55:48 +0200

=== debian/control ===
--- 
+++ 
@@ -24,12 +24,11 @@
          lame (>=3.99.0),
          flac (>=1.3.0),
          python-pyqt5,
-         youtube-dl,
-         pavucontrol,
-         pulseaudio-utils,
-         pulseaudio
+         youtube-dl
 Suggests: libav-tools,
-          ffmpeg
+          ffmpeg,
+          mkchromecast-pulseaudio,
+          mkchromecast-alsa
 Description: Cast your Linux audio to your Google Cast devices
  It is written in Python, and it streams via node.js, ffmpeg, or avconv.
  mkchromecast is capable of using lossy and lossless audio formats provided
@@ -42,3 +41,38 @@
  of 192k. These defaults can be changed using the --sample-rate and -b flags.
  It is useful to modify these parameters when your wireless router is not very
  powerful, or in the case you don't want to degrade the sound quality.
+ .
+ mkchromecast can cast using either pulseaudio or ALSA. The respective
+ dependencies can be pulled by mkchromecast-pulseaudio and mkchromecast-alsa
+ dependency packages respectively. For more information, please read the
+ README.Debian file shipped in this package.
+
+Package: mkchromecast-pulseaudio
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         pavucontrol,
+         pulseaudio-utils,
+         pulseaudio,
+         mkchromecast
+Description: Pulseaudio dependencies to cast with mkchromecast
+ This dependency package contains an informational list of packages which are
+ considered essential for using mkchromecast together with pulseaudio sound
+ server. This package also depends on the packages on that list.
+
+Package: mkchromecast-alsa
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         alsa-utils,
+         alsa-tools,
+         alsa-base,
+         ffmpeg,
+         mkchromecast
+Description: ALSA dependencies to cast with mkchromecast
+ This dependency package contains an informational list of packages which are
+ considered essential for using mkchromecast together with ALSA software
+ framework. This package also depends on the packages on that list.
+ .
+ Information about needed configurations are contained in the README.Debian
+ file shipped in this package.

## mkchromecast 0.3.7+git20170130

=== Makefile ===
--- 
+++ 
@@ -54,16 +54,16 @@
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
 	sed -i -e  's/debug = args.debug/debug = True/g' mkchromecast/__init__.py
 	python3 setup.py py2app
-	cp -R /usr/local/Cellar/qt5/5.6.0/plugins dist/mkchromecast.app/Contents/PlugIns
-	/usr/local/Cellar/qt5/5.6.0/bin/macdeployqt dist/mkchromecast.app
+	cp -R /usr/local/Cellar/qt5/5.8.0/plugins dist/mkchromecast.app/Contents/PlugIns
+	/usr/local/Cellar/qt5/5.8.0/bin/macdeployqt dist/mkchromecast.app
 
 # This target creates a standalone app with debugging disabled
 deploy:
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
 	sed -i -e  's/debug = args.debug/debug = False/g' mkchromecast/__init__.py
 	python3 setup.py py2app
-	cp -R /usr/local/Cellar/qt5/5.6.0/plugins dist/mkchromecast.app/Contents/PlugIns
-	/usr/local/Cellar/qt5/5.6.0/bin/macdeployqt dist/mkchromecast.app -dmg
+	cp -R /usr/local/Cellar/qt5/5.8.0/plugins dist/mkchromecast.app/Contents/PlugIns
+	/usr/local/Cellar/qt5/5.8.0/bin/macdeployqt dist/mkchromecast.app -dmg
 
 # This cleans
 clean:

=== requirements.txt ===
requests==2.12.4
setuptools==32.1.0
PyQt5==5.7.1
Flask==0.12
gi==1.2
mutagen==1.36
netifaces==0.10.5
psutil==5.0.1
pychromecast==0.7.7

=== debian/changelog ===
mkchromecast (0.3.7+git20170130-2) unstable; urgency=medium

  * Updated gir1.2-notify-0.7 dependency. Closes: #855442.
  * Updated debian/copyright. Closes: #854998.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 31 Jan 2017 15:11:44 -0500

mkchromecast (0.3.7+git20170130-1) unstable; urgency=medium

  * New git revision.
  * Dropped alsa-base dependency in favor of kmod. Closes: #852531.

 -- Muammar El Khatib <muammar@debian.org>  Fri, 30 Dec 2016 12:30:48 -0500

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,8 @@
          lame (>=3.99.0),
          flac (>=1.3.0),
          python-pyqt5,
-         youtube-dl
+         youtube-dl,
+         gir1.2-notify-0.7
 Suggests: libav-tools,
           ffmpeg,
           mkchromecast-pulseaudio,
@@ -66,7 +67,7 @@
          ${misc:Depends},
          alsa-utils,
          alsa-tools,
-         alsa-base,
+         kmod,
          ffmpeg,
          mkchromecast
 Description: ALSA dependencies to cast with mkchromecast
@@ -76,3 +77,17 @@
  .
  Information about needed configurations are contained in the README.Debian
  file shipped in this package.
+
+Package: mkchromecast-gstreamer
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         gstreamer1.0-tools,
+         mkchromecast
+Description: Gstreamer dependencies to cast with mkchromecast
+ This dependency package contains an informational list of packages which are
+ considered essential for using mkchromecast together with Gstreamer software
+ framework. This package also depends on the packages on that list.
+ .
+ Information about needed configurations are contained in the README.Debian
+ file shipped in this package.

## mkchromecast 0.3.7+git20170414

=== Makefile ===
--- 
+++ 
@@ -54,16 +54,16 @@
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
 	sed -i -e  's/debug = args.debug/debug = True/g' mkchromecast/__init__.py
 	python3 setup.py py2app
-	cp -R /usr/local/Cellar/qt5/5.8.0/plugins dist/mkchromecast.app/Contents/PlugIns
-	/usr/local/Cellar/qt5/5.8.0/bin/macdeployqt dist/mkchromecast.app
+	cp -R /usr/local/Cellar/qt5/5.8.0_1/plugins dist/mkchromecast.app/Contents/PlugIns
+	/usr/local/Cellar/qt5/5.8.0_1/bin/macdeployqt dist/mkchromecast.app
 
 # This target creates a standalone app with debugging disabled
 deploy:
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
 	sed -i -e  's/debug = args.debug/debug = False/g' mkchromecast/__init__.py
 	python3 setup.py py2app
-	cp -R /usr/local/Cellar/qt5/5.8.0/plugins dist/mkchromecast.app/Contents/PlugIns
-	/usr/local/Cellar/qt5/5.8.0/bin/macdeployqt dist/mkchromecast.app -dmg
+	cp -R /usr/local/Cellar/qt5/5.8.0_1/plugins dist/mkchromecast.app/Contents/PlugIns
+	/usr/local/Cellar/qt5/5.8.0_1/bin/macdeployqt dist/mkchromecast.app -dmg
 
 # This cleans
 clean:

=== requirements.txt ===
Flask==0.12
mutagen==1.37
netifaces==0.10.4
psutil==5.2.1
PyChromecast==0.8.1
requests==2.13.0
setuptools==34.3.3
gi==1.2

=== debian/changelog ===
mkchromecast (0.3.7+git20170414-1) unstable; urgency=medium

  * New git revision.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 15 Apr 2017 15:41:29 -0400

mkchromecast (0.3.7+git20170410-1) unstable; urgency=medium

  * New git revision.
  * Support video casting with nodejs.
  * Changing documentation from python mkchromecast.py to just mkchromecast.
    Closes: #857846.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 10 Apr 2017 19:49:55 -0400

## mkchromecast 0.3.7.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #
 # Note: Be careful when using this Makefile, because all files not tracked will
 # be deleted, and all changes to mkchromecast/__init__.py will be discarded if
-# they are not commited.
+# they are not committed.
 #
 # How to use it?
 # ==============
@@ -54,16 +54,16 @@
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
 	sed -i -e  's/debug = args.debug/debug = True/g' mkchromecast/__init__.py
 	python3 setup.py py2app
-	cp -R /usr/local/Cellar/qt5/5.8.0_1/plugins dist/mkchromecast.app/Contents/PlugIns
-	/usr/local/Cellar/qt5/5.8.0_1/bin/macdeployqt dist/mkchromecast.app
+	cp -R /usr/local/Cellar/qt/5.8.0_2/plugins dist/mkchromecast.app/Contents/PlugIns
+	/usr/local/Cellar/qt/5.8.0_2/bin/macdeployqt dist/mkchromecast.app
 
 # This target creates a standalone app with debugging disabled
 deploy:
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
 	sed -i -e  's/debug = args.debug/debug = False/g' mkchromecast/__init__.py
 	python3 setup.py py2app
-	cp -R /usr/local/Cellar/qt5/5.8.0_1/plugins dist/mkchromecast.app/Contents/PlugIns
-	/usr/local/Cellar/qt5/5.8.0_1/bin/macdeployqt dist/mkchromecast.app -dmg
+	cp -R /usr/local/Cellar/qt/5.8.0_2/plugins dist/mkchromecast.app/Contents/PlugIns
+	/usr/local/Cellar/qt/5.8.0_2/bin/macdeployqt dist/mkchromecast.app -dmg
 
 # This cleans
 clean:

=== requirements.txt ===
Flask==0.12.1
netifaces==0.10.4
psutil==5.2.2
requests==2.13.0
mutagen==1.37
PyChromecast==0.8.1
setuptools==35.0.2
PyQt5==5.8.2
gi==1.2
soco==0.12

=== debian/changelog ===
mkchromecast (0.3.7.1-1) unstable; urgency=medium

  *  New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 20 May 2017 14:50:34 -0400

=== debian/control ===
--- 
+++ 
@@ -25,12 +25,13 @@
          flac (>=1.3.0),
          python-pyqt5,
          youtube-dl,
+         nodejs,
          gir1.2-notify-0.7
 Suggests: libav-tools,
           ffmpeg,
           mkchromecast-pulseaudio,
           mkchromecast-alsa
-Description: Cast your Linux audio to your Google Cast devices
+Description: Cast your Linux audio or video to your Google Cast devices
  It is written in Python, and it streams via node.js, ffmpeg, or avconv.
  mkchromecast is capable of using lossy and lossless audio formats provided
  that ffmpeg is installed. It also supports Multi-room group playback, and
@@ -41,7 +42,8 @@
  with mp3 audio coding format at a sample rate of 44100Hz and average bitrate
  of 192k. These defaults can be changed using the --sample-rate and -b flags.
  It is useful to modify these parameters when your wireless router is not very
- powerful, or in the case you don't want to degrade the sound quality.
+ powerful, or in the case you don't want to degrade the sound quality. You can
+ also cast videos using the --video flag.
  .
  mkchromecast can cast using either pulseaudio or ALSA. The respective
  dependencies can be pulled by mkchromecast-pulseaudio and mkchromecast-alsa
@@ -84,9 +86,9 @@
          ${misc:Depends},
          gstreamer1.0-tools,
          mkchromecast
-Description: Gstreamer dependencies to cast with mkchromecast
+Description: GStreamer dependencies to cast with mkchromecast
  This dependency package contains an informational list of packages which are
- considered essential for using mkchromecast together with Gstreamer software
+ considered essential for using mkchromecast together with GStreamer software
  framework. This package also depends on the packages on that list.
  .
  Information about needed configurations are contained in the README.Debian

## mkchromecast 0.3.8

=== debian/changelog ===
mkchromecast (0.3.8-1) unstable; urgency=medium

  * New upstream release.
  * Now the package works with python3.
  * Bump Standards-Version to 4.1.2.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 23 Dec 2017 16:26:15 -0500

## mkchromecast 0.3.8.1

=== Makefile ===
--- 
+++ 
@@ -54,16 +54,16 @@
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
 	sed -i -e  's/debug = args.debug/debug = True/g' mkchromecast/__init__.py
 	python3 setup.py py2app
-	cp -R /usr/local/Cellar/qt/5.8.0_2/plugins dist/mkchromecast.app/Contents/PlugIns
-	/usr/local/Cellar/qt/5.8.0_2/bin/macdeployqt dist/mkchromecast.app
+	cp -R /usr/local/Cellar/qt/5.9.1/plugins dist/Mkchromecast.app/Contents/PlugIns
+	/usr/local/Cellar/qt/5.9.1/bin/macdeployqt dist/Mkchromecast.app
 
 # This target creates a standalone app with debugging disabled
 deploy:
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
 	sed -i -e  's/debug = args.debug/debug = False/g' mkchromecast/__init__.py
 	python3 setup.py py2app
-	cp -R /usr/local/Cellar/qt/5.8.0_2/plugins dist/mkchromecast.app/Contents/PlugIns
-	/usr/local/Cellar/qt/5.8.0_2/bin/macdeployqt dist/mkchromecast.app -dmg
+	cp -R /usr/local/Cellar/qt/5.9.1/plugins dist/Mkchromecast.app/Contents/PlugIns
+	/usr/local/Cellar/qt/5.9.1/bin/macdeployqt dist/Mkchromecast.app -dmg
 
 # This cleans
 clean:

=== requirements.txt ===
PyChromecast==0.8.2
soco==0.12
Flask==0.12.2
netifaces==0.10.6
setuptools==36.6.0
requests==2.18.4
mutagen==1.38
psutil==5.4.0
PyQt5==5.9
gi==1.2

=== debian/changelog ===
mkchromecast (0.3.8.1-1) unstable; urgency=medium

  * New upstream release fixing bug happening when no devices were found.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 24 Dec 2017 09:31:34 -0500

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,27 @@
 Maintainer: Muammar El Khatib <muammar@debian.org>
 Build-Depends: debhelper (>=9),
                dh-python,
-               python-all (>= 2.6.6-3~),
-               python-setuptools
-Standards-Version: 3.9.8
+               python3-all (>= 2.6.6-3~),
+               python3-setuptools
+Standards-Version: 4.1.2
 Homepage: http://mkchromecast.com
-X-Python-Version: >= 2.6
+X-Python-Version: >= 3.5
 Vcs-Git: https://github.com/muammar/mkchromecast
 Vcs-Browser: https://github.com/muammar/mkchromecast
 
 Package: mkchromecast
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
-         python-flask,
-         python-pychromecast,
-         python-psutil,
+         python3-flask,
+         python3-pychromecast,
+         python3-psutil,
+         python3-pyqt5,
          vorbis-tools (>=1.4.0),
          sox (>=14.4.1),
          lame (>=3.99.0),
          flac (>=1.3.0),
-         python-pyqt5,
+         opus-tools,
          youtube-dl,
          nodejs,
          gir1.2-notify-0.7
@@ -52,7 +53,7 @@
 
 Package: mkchromecast-pulseaudio
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
          pavucontrol,
          pulseaudio-utils,
@@ -65,7 +66,7 @@
 
 Package: mkchromecast-alsa
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
          alsa-utils,
          alsa-tools,
@@ -82,7 +83,7 @@
 
 Package: mkchromecast-gstreamer
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
          gstreamer1.0-tools,
          mkchromecast

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYBUILD_NAME=mkchromecast
 
 %:
-	dh $@  --with python2
+	dh $@  --with python3
 
 override_dh_auto_build:
 	touch build
@@ -20,7 +20,7 @@
 
 override_dh_install:
 	dh_install
-	dh_python2
+	dh_python3
 	chmod +x debian/mkchromecast/usr/share/mkchromecast/mkchromecast.py
 
 override_dh_auto_clean:

## mkchromecast 0.3.9~git20200902+db2964a

=== Makefile ===
--- 
+++ 
@@ -37,11 +37,25 @@
 # Muammar El Khatib
 #
 
+.PHONY: sed \
+        sed_notray \
+        test \
+        debug \
+        deploy \
+        clean \
+        deepclean
+
 # This target is used to test the start_tray.py script that is used to deploy
 # the macOS app
 sed:
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
-	sed -i -e  's/debug = args.debug/debug = True /g' mkchromecast/__init__.py
+	sed -i -e  's/debug = args.debug/debug = True/g' mkchromecast/__init__.py
+
+# This target is used when the tray should be disabled
+sed_notray:
+	sed -i -e  's/tray = args.tray/tray = False/g' mkchromecast/__init__.py
+	sed -i -e  's/debug = args.debug/debug = True/g' mkchromecast/__init__.py
+
 
 # This target creates the app just to be used locally
 test:
@@ -54,19 +68,27 @@
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
 	sed -i -e  's/debug = args.debug/debug = True/g' mkchromecast/__init__.py
 	python3 setup.py py2app
-	cp -R /usr/local/Cellar/qt/5.9.1/plugins dist/Mkchromecast.app/Contents/PlugIns
-	/usr/local/Cellar/qt/5.9.1/bin/macdeployqt dist/Mkchromecast.app
+	cp -R /usr/local/Cellar/qt/5.15.0/plugins dist/Mkchromecast.app/Contents/PlugIns
+	/usr/local/Cellar/qt/5.15.0/bin/macdeployqt dist/Mkchromecast.app
 
 # This target creates a standalone app with debugging disabled
 deploy:
 	sed -i -e  's/tray = args.tray/tray = True/g' mkchromecast/__init__.py
 	sed -i -e  's/debug = args.debug/debug = False/g' mkchromecast/__init__.py
 	python3 setup.py py2app
-	cp -R /usr/local/Cellar/qt/5.9.1/plugins dist/Mkchromecast.app/Contents/PlugIns
-	/usr/local/Cellar/qt/5.9.1/bin/macdeployqt dist/Mkchromecast.app -dmg
+	cp -R /usr/local/Cellar/qt/5.15.0/plugins dist/Mkchromecast.app/Contents/PlugIns
+	/usr/local/Cellar/qt/5.15.0/bin/macdeployqt dist/Mkchromecast.app -dmg
 
 # This cleans
 clean:
 	git clean -f -d
 	git checkout mkchromecast/__init__.py
 	rm -f mkchromecast/*.pyc
+	rm -fr .eggs/
+
+deepclean:
+	git clean -f -d
+	git checkout mkchromecast/__init__.py
+	rm -f mkchromecast/*.pyc
+	rm -rf dist build
+	rm -fr .eggs/

=== requirements.txt ===
PyGObject
requests
psutil
Flask
netifaces
pychromecast
PyQt5
soco

=== debian/changelog ===
mkchromecast (0.3.9~git20200902+db2964a-2) unstable; urgency=medium

  * Also drop .gitignore files not present in the tarball.
  * Work around a weird issue with mkchromecast.getch not being installed.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 16 Oct 2020 08:47:59 +0200

mkchromecast (0.3.9~git20200902+db2964a-1) unstable; urgency=medium

  [ Muammar El Khatib ]
  * Changing the way mkchromecast-* packages recommend installation of
    mkchromecast. Closes: #909822. Thanks to Ruben Undheim for providing
    a patch.
  * The Debian packaging also was adapted and improved by Alec Leamas.

  [ Stefan Rücker ]
  * debian: Remove links.
  * debian: Update to dh compat v13.
  * debian/control: Remove libav-tools.

  [ Andrej Shadura ]
  * New co-maintainer.
  * Update to the new upstream snapshot,
    declare hard dependency on the newer pychromecast (Closes: #965249).
  * Set Vcs-* to salsa.debian.org.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Improve the Python bits of the packaging:
    - Add the Python dependencies to Build-Depends so that pybuild can use
      them.
    - Add missing dependencies.
    - Make sure Python files are installed with pybuild as well.
    - Use pybuild.
  * Install the icon again
  * Add a watch line to track upstream snapshots.
  * Wrap and sort debian/control.
  * Remove ${python3:Depends} from binary packages not shipping any Python
    code.
  * Drop no longer relevant README.source.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 07 Oct 2020 15:41:27 +0200

=== debian/control ===
Source: mkchromecast
Section: sound
Priority: optional
Maintainer: Muammar El Khatib <muammar@debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-flask,
               python3-gi,
               python3-netifaces,
               python3-psutil,
               python3-pychromecast (>= 7),
               python3-pyqt5,
               python3-requests,
               python3-setuptools
Standards-Version: 4.1.2
Homepage: https://mkchromecast.com
X-Python-Version: >= 3.5
Vcs-Git: https://salsa.debian.org/debian/mkchromecast.git
Vcs-Browser: https://salsa.debian.org/debian/mkchromecast

Package: mkchromecast
Architecture: all
Depends: flac (>=1.3.0),
         gir1.2-notify-0.7,
         lame (>=3.99.0),
         mkchromecast-pulseaudio | mkchromecast-alsa | mkchromecast-gstreamer,
         nodejs,
         opus-tools,
         python3-flask,
         python3-gi,
         python3-netifaces,
         python3-psutil,
         python3-pychromecast (>= 7),
         python3-pyqt5,
         python3-requests,
         sox (>=14.4.1),
         vorbis-tools (>=1.4.0),
         youtube-dl,
         ${misc:Depends},
         ${python3:Depends}
Suggests: ffmpeg
Description: Cast your Linux audio or video to your Google Cast devices
 It is written in Python, and it streams via node.js or ffmpeg.
 mkchromecast is capable of using lossy and lossless audio formats provided
 that ffmpeg is installed. It also supports Multi-room group playback, and
 24-bits/96kHz high audio resolution. Additionally, a system tray menu is also
 available.
 .
 By default, mkchromecast streams with node.js (or parec in Linux) together
 with mp3 audio coding format at a sample rate of 44100Hz and average bitrate
 of 192k. These defaults can be changed using the --sample-rate and -b flags.
 It is useful to modify these parameters when your wireless router is not very
 powerful, or in the case you don't want to degrade the sound quality. You can
 also cast videos using the --video flag.
 .
 mkchromecast can cast using either pulseaudio or ALSA. The respective
 dependencies can be pulled by mkchromecast-pulseaudio and mkchromecast-alsa
 dependency packages respectively. For more information, please read the
 README.Debian file shipped in this package.

Package: mkchromecast-pulseaudio
Architecture: all
Depends: pavucontrol,
         pulseaudio,
         pulseaudio-utils,
         ${misc:Depends}
Recommends: mkchromecast
Description: Pulseaudio dependencies to cast with mkchromecast
 This dependency package contains an informational list of packages which are
 considered essential for using mkchromecast together with pulseaudio sound
 server. This package also depends on the packages on that list.

Package: mkchromecast-alsa
Architecture: all
Depends: alsa-tools,
         alsa-utils,
         ffmpeg,
         kmod,
         ${misc:Depends}
Recommends: mkchromecast
Description: ALSA dependencies to cast with mkchromecast
 This dependency package contains an informational list of packages which are
 considered essential for using mkchromecast together with ALSA software
 framework. This package also depends on the packages on that list.
 .
 Information about needed configurations are contained in the README.Debian
 file shipped in this package.

Package: mkchromecast-gstreamer
Architecture: all
Depends: gstreamer1.0-tools,
         ${misc:Depends}
Recommends: mkchromecast
Description: GStreamer dependencies to cast with mkchromecast
 This dependency package contains an informational list of packages which are
 considered essential for using mkchromecast together with GStreamer software
 framework. This package also depends on the packages on that list.
 .
 Information about needed configurations are contained in the README.Debian
 file shipped in this package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	echo "include mkchromecast/getch/*.py" > MANIFEST.in
	dh_auto_configure

override_dh_auto_test:
	: No tests defined
